%perl_module Net_SSLeay.pm 1.25 3.%{disttag}.at

Summary:       Perl extension for using OpenSSL.
License:       Artistic
Group:         System Environment/Libraries
URL:           http://search.cpan.org/~sampo/%{pkgname}-%{version}/
Source0:       http://search.cpan.org/CPAN/authors/id/S/SA/SAMPO/%{pkgname}-%{version}.tar.gz
Patch0:        Net_SSLeay.pm-1.25-MakeMaker.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: openssl-devel

%description
This module offers some high level convinience functions for accessing
web pages on SSL servers (for symmetry, same API is offered for
accessing http servers, too), a sslcat() function for writing your own
clients, and finally access to the SSL api of SSLeay/OpenSSL package
so you can write servers or clients for more complicated applications.

%prep
%setup -q -n %{pkgname}-%{version} 
%patch0 -p1 -b .makemaker

%build
%perl_configure
make
#Test fails due to www.bacus.pt not existing anymore
#perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README Changes Credits
%{perl_vendorarch}/Net/SSLeay.pm
%{perl_vendorarch}/Net/SSLeay
%{perl_vendorarch}/Net/ptrtstrun.pl
%{perl_vendorarch}/auto/Net/SSLeay
%{perl_man3dir}/Net::SSLeay.3pm*
%{perl_man3dir}/Net::SSLeay::Handle.3pm*

%changelog
* Wed May 19 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Don't run make test, some target host do not exist anymore.

* Sat Jan 24 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.
